Skip to main content
POST /api/pipelines/:pipeline_uuid/blocks Create a new block in one or more pipelines.
string
required
Human readable block name. This is used to generate the UUID, e.g. restless dust. Names will be slugified to a safe-uuid.
string
required
Type of block: callback, chart, conditional, custom, data_exporter, data_loader, dbt, extension, global_data_product, markdown, scratchpad, sensor, transformer
string
Block color displayed by the frontend for custom blocks. All other block types have predefined colors.
object
An optional parameter specifying a block configuration file For example, {data_source: "s3"} will create an s3 data loader.
object
Miscellaneous configuration settings for the block.
string
The content of block formatted as a string. Use /n for newlines. Omitting will create an empty block.
string
UUID of extensions, currently Great Expectations is the only extension supported.
string
The block language: python, sql, r, yaml, markdown
[string]
Array of strings containing the pipeline uuids for which the block is a member.
integer
The 0-indexed position of the block in the pipeline, e.g. 0 is the first block location.
[string]
An array of strings representing the uuids of upstream blocks (the blocks on which the new block depends). For example, ["a", "b"] will create a block that depends on blocks a and b.
string
The unique id of the block. This is generated from name, so it’s not necessary to populate this field.